这是abaqus / python的一个最小示例,它创建了一个cuboid和分区
from abaqus import *
from abaqusConstants import *
import __main__
model=mdb.models['Model-1']
# Sketch
s = model.ConstrainedSketch(name='__profile__', sheetSize=10.0)
s.setPrimaryObject(option=STANDALONE)
s.rectangle(point1=(0.0, 0.0), point2=(5.0, 5.0))
# Part
p = model.Part(name='Part-1', dimensionality=THREE_D, type=DEFORMABLE_BODY)
p.BaseSolidExtrude(sketch=s, depth=0.1)
s.unsetPrimaryObject()
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del model.sketches['__profile__']
# Partition
c = p.cells
pickedCells = c.findAt(((0., 0., 0.), ))
e = p.edges
p.PartitionCellByPlanePointNormal(normal=e.findAt(coordinates=(2.5, 0.0,
0.0)), cells=pickedCells, point=p.InterestingPoint(edge=e.findAt(
coordinates=(2.5, 0.0, 0.0)), rule=MIDDLE))
p.PartitionCellByPlanePointNormal(normal=e.findAt(coordinates=(0.0, 2.5,
0.0)), cells=pickedCells, point=p.InterestingPoint(edge=e.findAt(
coordinates=(0.0, 2.5, 0.0)), rule=MIDDLE))
执行此操作时,每个分区都会出现以下警告:
警告:给定的边缘指示点位于边缘的中心。 对于某些特征操作,隐含的边缘感觉将是模糊的。
如何禁止此警告或仅让它发生一次?既不
import warnings
warnings.filterwarnings('once',
'.*The given edge indicative point is at the center of the edge.*',)
有效,
warnings.filterwarnings('ignore')